/* Menu Button ***************************************************/
.menu-btn{
width: 20px; height:20px; border-radius:3px;
padding: 5px; margin: 0px;
cursor: pointer;
background: #000 url(menubuton1.png) no-repeat center center;
color: #FFF;
text-align: center;
font-family: Arial, Helvetica, sans-serif;
font-size: 22px;
font-weight: bold;

-webkit-transition:  all 0.5s ease-in-out;
-moz-transition:  all 0.5s ease-in-out;
-o-transition:  all 0.5s ease-in-out;
-ms-transition:  all 5.2s ease-in-out;
transition:  all 0.5s ease-in-out; }

.menu-btn:hover{
background: #cc0000 url(menubuton2.png) no-repeat center center;
color: #000;
font-family: Arial, Helvetica, sans-serif;
font-size: 22px;
font-weight: bold;

-webkit-transition:  all 0.5s ease-in-out;
-moz-transition:  all 0.5s ease-in-out;
-o-transition:  all 0.5s ease-in-out;
-ms-transition:  all 5.2s ease-in-out;
transition:  all 0.5s ease-in-out; }


/* Sol Menu Sitil *********************************************************/

.pushy{
	position: fixed;
	width: 270px;
	height: 100%;
	top: 0;
	z-index: 99999;
	background: #00ccff;
	font-size: 0.9em;
	font-weight: bold;
	font-family: "Open Sans", Arial, Helvetica, sans-serif;
	-webkit-box-shadow: inset -10px 0 6px -9px rgba(0, 0, 0, .7);
	-moz-box-shadow: inset -10px 0 6px -9px rgba(0, 0, 0, .7);
	box-shadow: inset -10px 0 6px -9px rgba(0, 0, 0, .7);
	overflow: auto;
	-webkit-overflow-scrolling: touch; /* enables momentum scrolling in iOS overflow elements */
}

.pushy a{
	display: block;
	color: #fff;
	border-bottom: 1px solid rgba(0, 0, 0, .1);
	border-top: 1px solid rgba(255, 255, 255, .1);
	text-decoration: none;
	padding-top: 12px;
	padding-right: 10px;
	padding-bottom: 12px;
	padding-left: 10px;
background: url(menuok1.png) no-repeat center right;	
-webkit-transition:  all 0.3s ease-in-out;
-moz-transition:  all 0.3s ease-in-out;
-o-transition:  all 0.3s ease-in-out;
-ms-transition:  all 3.2s ease-in-out;
transition:  all 0.3s ease-in-out; 
}

.pushy a:hover{

color: #000;
padding-left: 20px;
background: #3CD8FF url(menuok2.png) no-repeat center right;
	-webkit-box-shadow: inset -10px 0 6px -9px rgba(0, 0, 0, .7);
	-moz-box-shadow: inset -10px 0 6px -9px rgba(0, 0, 0, .7);
	box-shadow: inset -10px 0 6px -9px rgba(0, 0, 0, .7);
	overflow: auto;
	-webkit-overflow-scrolling: touch; 

}

/* Menu Movement */

.pushy-left{
    -webkit-transform: translate3d(-400px,0,0);
    -moz-transform: translate3d(-400px,0,0);
    -ms-transform: translate3d(-400px,0,0);
    -o-transform: translate3d(-400px,0,0);
    transform: translate3d(-400px,0,0);
}

.pushy-open{
    -webkit-transform: translate3d(0,0,0);
    -moz-transform: translate3d(0,0,0);
    -ms-transform: translate3d(0,0,0);
    -o-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}

.container-push, .push-push{
    -webkit-transform: translate3d(400px,0,0);
    -moz-transform: translate3d(400px,0,0);
    -ms-transform: translate3d(400px,0,0);
    -o-transform: translate3d(400px,0,0);
    transform: translate3d(400px,0,0);
}

/* Menu Transitions */

.pushy, #container, .push{
    -webkit-transition: -webkit-transform .2s cubic-bezier(.16, .68, .43, .99);
    -moz-transition: -moz-transform .2s cubic-bezier(.16, .68, .43, .99);
    -o-transition: -o-transform .2s cubic-bezier(.16, .68, .43, .99);
    transition: transform .2s cubic-bezier(.16, .68, .43, .99);
    /* improves performance issues on mobile*/
    -webkit-backface-visibility: hidden;
    -webkit-perspective: 1000;
}

/* Site Overlay */

.site-overlay{
    display: none;
}

.pushy-active .site-overlay{
    display: block;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 270px;
    z-index: 9999;
}

/* Example Media Query */

@media screen and (max-width: 768px){
    .pushy{
        font-size: 1.0em;
    }
}
